{# Recursive category display #}
{% macro displayCategory(parent) %}
    {% import _self as self %}
    <li>
        <a href="{{ path('product_list_in_category', {category:parent.id}) }}">{{ parent.name }}</a>
        {% if parent.childrens %}
            <ul>
                {% for sub in parent.childrens %}
                    {{ self.displayCategory(sub) }}
                {% endfor %}
            </ul>
        {% endif %}
    </li>
{% endmacro %}

{% from _self import displayCategory %}
{% extends 'base.html.twig' %}

{% block title %}Review - Accueil{% endblock %}

{% block body %}
    <h1>Bienvenue sur Review !</h1>
    <h2>Liste des catégories</h2>
    <ul class="mb-2">
        {% for category in categories|filter(cat => cat.parent == null) %}
            {{ displayCategory(category) }}
        {% endfor %}
    </ul>
    <h2 class="mt-5">Liste des produits</h2>
    <h3>Choisir une catégorie</h3>
    {{ form_start(form) }}
        <div class="row">
            <div class="col">
                {{ form_row(form.category, {'label': false}) }}
            </div>
            <div class="col">
                <button type="submit" class="btn btn-primary">Rechercher</button>
            </div>
        </div>
    {{ form_end(form) }}
    <div class="row mt-5 mb-2">
        {% for product in products %}
            <div class="col-3">
                <div class="card" >
                    {% if product.thumbnail %}
                        <img class="card-img-top" src="{{ asset('uploads/pictures/' ~ product.thumbnail.url) }}" alt="{{ product.name }}">
                    {% endif %}
                    <div class="card-body">
                        <a href="{{ path('product_info', { product: product.id }) }}">{{ product.name }}</a>
                        <br>
                        {% if product.reviews is empty %}
                            <a href="{{ path('review_add', { product: product.id }) }}">Soyez le premier avis !</a>
                        {% else %}
                            {{ product.averageNote }} / 5
                        {% endif %}
                    </div>
                </div>
            </div>
        {% endfor %}
    </div>
    {% if is_granted('ROLE_ADMIN') %}
        <a href="{{ path('category_add') }}" class="btn btn-primary">Créer une catégorie</a>
        <a href="{{ path('product_add') }}" class="btn btn-primary">Créer un produit</a>
    {% endif %}
{% endblock %}
